package cn.com.qmth.examcloud.core.oe.admin.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordDataEntity;
import cn.com.qmth.examcloud.core.oe.admin.dao.enums.ExamRecordStatus;
import cn.com.qmth.examcloud.core.oe.admin.dao.enums.IsSuccess;

import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import java.util.Date;

/**
 * @Description 考试记录Data实体
 * @Author lideyin
 * @Date 2019/8/20 18:40
 * @Version 1.0
 */
public class ExamRecordDataDomain implements JsonSerializable {

    private static final long serialVersionUID = 5819718857965384297L;

    private Long id;

    /**
     * 考试作答记录id
     */
    private String examRecordQuestionsId;

    /**
     * 考试记录状态(考试中,考试结束,考试过期,考试作废)
     */
    @Enumerated(EnumType.STRING)
    private ExamRecordStatus examRecordStatus;

    /**
     * 考试开始时间
     */
    private Date startTime;

    /**
     * 考试结束时间
     */
    private Date endTime;

    /**
     * 考试被清理时间
     */
    private Date cleanTime;

    /**
     * 是否异常数据
     */
    private Boolean isWarn;

    /**
     * 是否被审核过
     */
    private Boolean isAudit;

    /**
     * 是否违纪
     */
    private Boolean isIllegality;

    /**
     * 考试时长
     */
    private Long usedExamTime;

    /**
     * 第几次考试
     */
    private Integer examOrder;

    /**
     * 是否为重考
     */
    private Boolean isReexamine;

    /**
     * 是否断点续考
     */
    private Boolean isContinued;

    /**
     * 是否是全客观题卷  1:是   0:否
     */
    private Boolean isAllObjectivePaper;

    /**
     * 断点续考次数
     */
    private Integer continuedCount;

    /**
     * 是否达到最大断点限制
     */
    private Boolean isExceed;

    /**
     * 抓拍比对成功次数
     */
    private Integer faceSuccessCount;

    /**
     * 抓拍比对失败次数
     */
    private Integer faceFailedCount;

    /**
     * 抓拍存在陌生人的次数
     */
    private Integer faceStrangerCount;

    /**
     * 抓拍比对总次数
     */
    private Integer faceTotalCount;

    /**
     * 抓拍比对成功比率
     */
    private Double faceSuccessPercent;

    /**
     * @see cn.com.qmth.examcloud.core.oe.admin.dao.enums.IsSuccess
     * 活体检测结果
     */
    @Enumerated(EnumType.STRING)
    private IsSuccess faceVerifyResult;

    /**
     * 百度人脸活体检测通过率
     */
    private Double baiduFaceLivenessSuccessPercent;

    /**
     * 人脸五官坐标比对值
     */
    private Double faceLandmarkVal;

    /**
     * 考试记录对象//TODO 合并后，此实体不再需要，需要前台一起修改，暂时先这么处理
     */
    private ExamRecordDataEntity examRecord;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 创建时间
     */
    private Date creationTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExamRecordQuestionsId() {
        return examRecordQuestionsId;
    }

    public void setExamRecordQuestionsId(String examRecordQuestionsId) {
        this.examRecordQuestionsId = examRecordQuestionsId;
    }

    public ExamRecordStatus getExamRecordStatus() {
        return examRecordStatus;
    }

    public void setExamRecordStatus(ExamRecordStatus examRecordStatus) {
        this.examRecordStatus = examRecordStatus;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getCleanTime() {
        return cleanTime;
    }

    public void setCleanTime(Date cleanTime) {
        this.cleanTime = cleanTime;
    }

    public Boolean getWarn() {
        return isWarn;
    }

    public void setWarn(Boolean warn) {
        isWarn = warn;
    }

    public Boolean getAudit() {
        return isAudit;
    }

    public void setAudit(Boolean audit) {
        isAudit = audit;
    }

    public Boolean getIllegality() {
        return isIllegality;
    }

    public void setIllegality(Boolean illegality) {
        isIllegality = illegality;
    }

    public Long getUsedExamTime() {
        return usedExamTime;
    }

    public void setUsedExamTime(Long usedExamTime) {
        this.usedExamTime = usedExamTime;
    }

    public Integer getExamOrder() {
        return examOrder;
    }

    public void setExamOrder(Integer examOrder) {
        this.examOrder = examOrder;
    }

    public Boolean getReexamine() {
        return isReexamine;
    }

    public void setReexamine(Boolean reexamine) {
        isReexamine = reexamine;
    }

    public Boolean getContinued() {
        return isContinued;
    }

    public void setContinued(Boolean continued) {
        isContinued = continued;
    }

    public Boolean getAllObjectivePaper() {
        return isAllObjectivePaper;
    }

    public void setAllObjectivePaper(Boolean allObjectivePaper) {
        isAllObjectivePaper = allObjectivePaper;
    }

    public Integer getContinuedCount() {
        return continuedCount;
    }

    public void setContinuedCount(Integer continuedCount) {
        this.continuedCount = continuedCount;
    }

    public Boolean getExceed() {
        return isExceed;
    }

    public void setExceed(Boolean exceed) {
        isExceed = exceed;
    }

    public Integer getFaceSuccessCount() {
        return faceSuccessCount;
    }

    public void setFaceSuccessCount(Integer faceSuccessCount) {
        this.faceSuccessCount = faceSuccessCount;
    }

    public Integer getFaceFailedCount() {
        return faceFailedCount;
    }

    public void setFaceFailedCount(Integer faceFailedCount) {
        this.faceFailedCount = faceFailedCount;
    }

    public Integer getFaceStrangerCount() {
        return faceStrangerCount;
    }

    public void setFaceStrangerCount(Integer faceStrangerCount) {
        this.faceStrangerCount = faceStrangerCount;
    }

    public Integer getFaceTotalCount() {
        return faceTotalCount;
    }

    public void setFaceTotalCount(Integer faceTotalCount) {
        this.faceTotalCount = faceTotalCount;
    }

    public Double getFaceSuccessPercent() {
        return faceSuccessPercent;
    }

    public void setFaceSuccessPercent(Double faceSuccessPercent) {
        this.faceSuccessPercent = faceSuccessPercent;
    }

    public IsSuccess getFaceVerifyResult() {
        return faceVerifyResult;
    }

    public void setFaceVerifyResult(IsSuccess faceVerifyResult) {
        this.faceVerifyResult = faceVerifyResult;
    }

    public Double getBaiduFaceLivenessSuccessPercent() {
        return baiduFaceLivenessSuccessPercent;
    }

    public void setBaiduFaceLivenessSuccessPercent(Double baiduFaceLivenessSuccessPercent) {
        this.baiduFaceLivenessSuccessPercent = baiduFaceLivenessSuccessPercent;
    }

    public Double getFaceLandmarkVal() {
        return faceLandmarkVal;
    }

    public void setFaceLandmarkVal(Double faceLandmarkVal) {
        this.faceLandmarkVal = faceLandmarkVal;
    }

    public ExamRecordDataEntity getExamRecord() {
        return examRecord;
    }

    public void setExamRecord(ExamRecordDataEntity examRecord) {
        this.examRecord = examRecord;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }

}
