/*
 * Copyright (c) 2020 QMTH All Rights Reserved.
 * Created by Deason on 2020-08-12 16:19:29
 */

package cn.com.qmth.examcloud.core.oe.admin.api.controller;

import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.core.oe.admin.service.ExportTaskService;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.exporttask.ExportTaskListReq;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.exporttask.ExportTaskListResp;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.*;

@RestController
@Api(tags = "导出任务相关接口")
@RequestMapping("${$rmp.ctr.oe}/export/task")
public class ExportTaskController extends ControllerSupport {

    @Autowired
    private ExportTaskService exportTaskService;

    @PostMapping("/list")
    @ApiOperation(value = "查询导出任务列表(分页)")
    public Page<ExportTaskListResp> list(@RequestBody ExportTaskListReq req) {
        User user = getAccessUser();
        req.setRootOrgId(user.getRootOrgId());

        return exportTaskService.getExportTaskList(req, user.getUserId());
    }

    @PostMapping("/delete")
    @ApiOperation(value = "删除某个导出任务")
    public void delete(@RequestParam Long taskId) {
        exportTaskService.deleteExportTaskById(taskId);
    }

}
