package cn.com.qmth.examcloud.core.oe.admin.dao;

import java.util.Date;
import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamScoreObtainQueueEntity;
import feign.Param;

@Repository
public interface ExamScoreObtainQueueRepo extends JpaRepository<ExamScoreObtainQueueEntity, Long>, JpaSpecificationExecutor<ExamScoreObtainQueueEntity>{

	/**
	 * 取队列最顶层记录
	 * @param rootOrgId	顶级机构id
	 * @param isValid	是否有效
	 * @return
	 */
	public ExamScoreObtainQueueEntity findTopByRootOrgIdAndIsValidOrderByIdAsc(Long rootOrgId,Boolean isValid);
	
	public ExamScoreObtainQueueEntity findByExamRecordDataId(Long examRecordDataId);
	/**
	 * 获取创建时间小于某个时间的获取分数队列数据
	 * @param creationTime 日期阈值
	 * @return
	 */
	@Query(nativeQuery = true, value="select soq.* from ec_oe_exam_score_obtain_queue soq "
			+ "left join ec_oe_exam_score_notice_queue snq on soq.root_org_id=snq.root_org_id "
			+ "where soq.is_valid=1 and soq.creation_time<=?1 and snq.root_org_id is null")
	public List<ExamScoreObtainQueueEntity> findByCreationTimeLessThanEquals(@Param("creationTime") Date creationTime);
	
}
