/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-31 09:28:53.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamScoreEntity;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examscore.ExamScoreInfo;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examscore.ExamScoreQuery;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examscore.ObjectiveScoreInfo;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * 考试分数相关接口
 *
 * @author: QMTH
 * @since: 2018/8/31
 */
public interface ExamScoreService {

    Page<ExamScoreInfo> getExamScoreList(ExamScoreQuery query);

    List<ExamScoreInfo> exportExamScoreList(ExamScoreQuery query);

    /**
     * 获取所有的考试分数集合
     *
     * @param examId         考试id
     * @param identityNumber 身份证号
     * @param courseId       课程代码
     * @return ExamScoreEntity
     */
    List<ExamScoreEntity> getAllExamScoreList(Long examId, String identityNumber, Long courseId);

    /**
     * 离线考试初始化得分
     *
     * @param examRecordDataId
     */
    public void createExamScoreWithOffline(Long examRecordDataId);


    /**
     * 使用考生ID查询客观分信息
     * 客观分是指考生完成过一次考试后，有效的客观分，
     * 如此条考试记录需要监考审核则显示为"待审"，客观分显示时，展示次数(第几次考试)、开始时间、交卷时间，客观分；
     *
     * @return
     */
    public List<ObjectiveScoreInfo> queryObjectiveScoreList(Long examStudentId);

    List<ExamScoreInfo> exportExamScoreListForAsync(ExamScoreQuery query);

}