/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-30 14:36:48.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.examaudit;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.support.excel.ExcelProperty;

/**
 * 监考已审信息
 *
 * @author: QMTH
 * @since: 2018/8/15
 */
public class ExamAuditExcel implements JsonSerializable {

    /**
     *
     */
    private static final long serialVersionUID = 1269194645888320744L;

    @ExcelProperty(name = "考试记录ID", index = 2)
    private Long examRecordDataId;

    @ExcelProperty(name = "学习中心", index = 2)
    private String orgName;

    @ExcelProperty(name = "违纪类型", index = 13)
    private String disciplineType;

    @ExcelProperty(name = "批次名称", index = 1)
    private String examName;

    @ExcelProperty(name = "学号", index = 7)
    private String studentCode;

    @ExcelProperty(name = "姓名", index = 8)
    private String studentName;

    @ExcelProperty(name = "科目代码", index = 4)
    private String courseCode;

    @ExcelProperty(name = "考试科目", index = 3)
    private String courseName;

    @ExcelProperty(name = "课程层次", index = 6)
    private String courseLevel;

    @ExcelProperty(name = "成功次数", index = 10)
    private Integer faceSuccessCount;

    @ExcelProperty(name = "陌生人记录", index = 11)
    private Integer faceStrangerCount;

    @ExcelProperty(name = "校验次数", index = 9)
    private Integer faceTotalCount;

    @ExcelProperty(name = "成功率", index = 12)
    private Double faceSuccessPercent;

    @ExcelProperty(name = "客观题总分", index = 5)
    private Double objectiveScore;

    @ExcelProperty(name = "违纪描述", index = 14)
    private String disciplineDetail;

    @ExcelProperty(name = "Ip", index = 15)
    private String ip;

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public String getDisciplineType() {
        return disciplineType;
    }

    public void setDisciplineType(String disciplineType) {
        this.disciplineType = disciplineType;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseLevel() {
        return courseLevel;
    }

    public void setCourseLevel(String courseLevel) {
        this.courseLevel = courseLevel;
    }

    public Integer getFaceSuccessCount() {
        return faceSuccessCount;
    }

    public void setFaceSuccessCount(Integer faceSuccessCount) {
        this.faceSuccessCount = faceSuccessCount;
    }

    public Integer getFaceStrangerCount() {
        return faceStrangerCount;
    }

    public void setFaceStrangerCount(Integer faceStrangerCount) {
        this.faceStrangerCount = faceStrangerCount;
    }

    public Integer getFaceTotalCount() {
        return faceTotalCount;
    }

    public void setFaceTotalCount(Integer faceTotalCount) {
        this.faceTotalCount = faceTotalCount;
    }

    public Double getFaceSuccessPercent() {
        return faceSuccessPercent;
    }

    public void setFaceSuccessPercent(Double faceSuccessPercent) {
        this.faceSuccessPercent = faceSuccessPercent;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getDisciplineDetail() {
        return disciplineDetail;
    }

    public void setDisciplineDetail(String disciplineDetail) {
        this.disciplineDetail = disciplineDetail;
    }

    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

}