package cn.com.qmth.examcloud.core.oe.admin.service.impl;

import cn.com.qmth.examcloud.core.oe.admin.base.Constants;
import cn.com.qmth.examcloud.core.oe.admin.service.GainBaseDataService;
import cn.com.qmth.examcloud.core.oe.admin.service.LocalCacheService;
import cn.com.qmth.examcloud.examwork.api.bean.ExamStudentBean;
import cn.com.qmth.examcloud.support.cache.CacheHelper;
import cn.com.qmth.examcloud.support.cache.bean.StudentCacheBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;


/**
 * 本地缓存服务
 *
 * @author chenken
 * @date 2018年11月15日 下午4:58:44
 * @company QMTH
 * @description LocalCacheServiceImpl.java
 */
@Service("localCacheService")
public class LocalCacheServiceImpl implements LocalCacheService {

    @Autowired
    private GainBaseDataService gainBaseDataService;

    @Override
    public String getStudentPhotoNumber(Map<String, Object> cahcheMap, Long studentId) {
        String key = Constants.CACHE_PHONE_PREFIX + studentId;
        String photoNumber = "";
        if (cahcheMap.containsKey(key)) {
            photoNumber = (String) cahcheMap.get(key);
        } else {
            StudentCacheBean studentBean = CacheHelper.getStudent(studentId);
            photoNumber = studentBean.getPhoneNumber();
            cahcheMap.put(key, photoNumber);
        }
        return photoNumber;
    }

    @Override
    public ExamStudentBean getExamStudentBean(Map<String, Object> cahcheMap, Long examStudentId) {
        String key = Constants.CACHE_EXAM_STUDENT_PREFIX + examStudentId;
        ExamStudentBean examStudent = (ExamStudentBean) cahcheMap.get(key);
        if (examStudent == null) {
            examStudent = gainBaseDataService.getExamStudentBean(examStudentId);
            cahcheMap.put(key, examStudent);
        }
        return examStudent;
    }

}
